apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysql-booking
spec:
  selector:
    matchLabels:
      app: mysql-booking
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: mysql-booking
    spec:
      containers:
      - image: mysql:5.6
        name: mysql-booking
        env:
        - name: MYSQL_ROOT_PASSWORD
          value: password
        - name: MYSQL_DATABASE
          value: booking
        - name: MYSQL_USER
          value: user
        - name: MYSQL_PASSWORD
          value: password
        ports:
        - containerPort: 3306
          name: mysql-booking
        volumeMounts:
        - name: mysql-persistent-storage
          mountPath: /var/lib/mysql
      volumes:
      - name: mysql-persistent-storage
        persistentVolumeClaim:
          claimName: mysql-pv-claim-booking
---
apiVersion: v1
kind: Service
metadata:
  name: mysql-booking
spec:
  ports:
  - port: 3306
  selector:
    app: mysql-booking
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysql-cars
spec:
  selector:
    matchLabels:
      app: mysql-cars
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: mysql-cars
    spec:
      containers:
      - image: mysql:5.6
        name: mysql-cars
        env:
        - name: MYSQL_ROOT_PASSWORD
          value: password
        - name: MYSQL_DATABASE
          value: cars
        - name: MYSQL_USER
          value: user
        - name: MYSQL_PASSWORD
          value: password
        ports:
        - containerPort: 3306
          name: mysql-cars
        volumeMounts:
        - name: mysql-persistent-storage
          mountPath: /var/lib/mysql
      volumes:
      - name: mysql-persistent-storage
        persistentVolumeClaim:
          claimName: mysql-pv-claim-cars
---
apiVersion: v1
kind: Service
metadata:
  name: mysql-cars
spec:
  ports:
  - port: 3306
  selector:
    app: mysql-cars
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysql-customer
spec:
  selector:
    matchLabels:
      app: mysql-customer
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: mysql-customer
    spec:
      containers:
      - image: mysql:5.6
        name: mysql-customer
        env:
        - name: MYSQL_ROOT_PASSWORD
          value: password
        - name: MYSQL_DATABASE
          value: customer
        - name: MYSQL_USER
          value: user
        - name: MYSQL_PASSWORD
          value: password
        ports:
        - containerPort: 3306
          name: mysql-customer
        volumeMounts:
        - name: mysql-persistent-storage
          mountPath: /var/lib/mysql
      volumes:
      - name: mysql-persistent-storage
        persistentVolumeClaim:
          claimName: mysql-pv-claim-customer
---
apiVersion: v1
kind: Service
metadata:
  name: mysql-customer
spec:
  ports:
  - port: 3306
  selector:
    app: mysql-customer